\begin{caml_primitive}
incr_float : float ref -> float
decr_float : float ref -> float
\end{caml_primitive}
\conceptindex{\verb"incr"}
\conceptindex{\verb"decr"}

When one has created a reference containing a number (whose type is 
\verb"float"), it is convenient to increment and decrement its value, using 
these two (primitive) functions semantically equivalent to:

\begin{small}
\begin{verbatim}
let incr_float i = i:= succ_float !i and decr_float i = i:= pred_float !i;;
\end{verbatim}
\end{small}
